<?php
/**
* @version	$Id: file_tp.php 12734 2009-10-20 19:28:11Z alex $
* @package	In-Portal
* @copyright	Copyright (C) 1997 - 2009 Intechnic. All rights reserved.
* @license      GNU/GPL
* In-Portal is Open Source software.
* This means that this software may have been modified pursuant
* the GNU General Public License, and as distributed it includes
* or is derivative of works licensed under the GNU General Public License
* or other free or open source software licenses.
* See http://www.in-portal.org/license for copyright notices and details.
*/

	defined('FULL_PATH') or die('restricted access!');

	class FileTagProcessor extends kDBTagProcessor {

		function DownloadFileLink($params)
		{
			$params[$this->getPrefixSpecial().'_event'] = 'OnDownloadFile';
			$params['pass'] = 'm,'.$this->Application->getUnitOption($this->Prefix, 'ParentPrefix').','.$this->getPrefixSpecial();

			return $this->ItemLink($params);
		}

		function FileIcon($params)
		{
			$object =& $this->getObject($params);
			/* @var $object kDBItem */

			$last_dot = mb_strrpos($object->GetDBField('FilePath'), '.');
			$ext = ($last_dot !== false) ? mb_substr($object->GetDBField('FilePath'), $last_dot + 1).'.gif' : '';

			return $ext ? $ext : $params['default'];
		}
	}